class Announcement {
  final String title;
  final String content;

  Announcement({
    required this.title,
    required this.content,
  });

  factory Announcement.fromJson(Map<String, dynamic> json) {
    // Tambahkan print untuk debug
    print('Parsing JSON: $json');
    
    return Announcement(
      title: json['title']?.toString() ?? '',
      content: json['content']?.toString() ?? '',
    );
  }
} 